package com.mdd.admin.vo.article;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("文章分类Vo")
public class ArticleCateVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("分类名称")
   private String name;
   @ApiModelProperty("文章数量")
   private Long number;
   @ApiModelProperty("排序编号")
   private Integer sort;
   @ApiModelProperty("是否显示")
   private Integer isShow;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public String getName() {
      return this.name;
   }

   public Long getNumber() {
      return this.number;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getIsShow() {
      return this.isShow;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setNumber(Long number) {
      this.number = number;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public void setIsShow(Integer isShow) {
      this.isShow = isShow;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ArticleCateVo)) {
         return false;
      } else {
         ArticleCateVo other = (ArticleCateVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label95: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label95;
                  }
               } else if (this$id.equals(other$id)) {
                  break label95;
               }

               return false;
            }

            Object this$number = this.getNumber();
            Object other$number = other.getNumber();
            if (this$number == null) {
               if (other$number != null) {
                  return false;
               }
            } else if (!this$number.equals(other$number)) {
               return false;
            }

            Object this$sort = this.getSort();
            Object other$sort = other.getSort();
            if (this$sort == null) {
               if (other$sort != null) {
                  return false;
               }
            } else if (!this$sort.equals(other$sort)) {
               return false;
            }

            label74: {
               Object this$isShow = this.getIsShow();
               Object other$isShow = other.getIsShow();
               if (this$isShow == null) {
                  if (other$isShow == null) {
                     break label74;
                  }
               } else if (this$isShow.equals(other$isShow)) {
                  break label74;
               }

               return false;
            }

            label67: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label67;
                  }
               } else if (this$name.equals(other$name)) {
                  break label67;
               }

               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ArticleCateVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $number = this.getNumber();
      result = result * 59 + ($number == null ? 43 : $number.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $isShow = this.getIsShow();
      result = result * 59 + ($isShow == null ? 43 : $isShow.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "ArticleCateVo(id=" + this.getId() + ", name=" + this.getName() + ", number=" + this.getNumber() + ", sort=" + this.getSort() + ", isShow=" + this.getIsShow() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
